% !TeX spellcheck = en_US
% !TeX encoding = UTF-8
% !TeX root = ../report.tex
\chapter{Conclusion}
\label{chp:Conclusion}

We managed to create a Guardian Angel, which guarantees a safe escape route for static obstacles through recursive feasibility and to take the least-worst variant given a collision is unavailable in a non-static environment. The GA is implemented as an additional layer supervising the commands from the Agent and intervening, should a collision be unavoidable. This is done with minimal computational overhead. 

Using a set of predetermined inputs, so-called scenarios, the Guardian Angel scores each scenario at the current state and the predicted state based on the Agent's input. It then determines whether an intervention and which one is needed based on these scores.

Moreover, the Guardian Angel provides an interface enabling the controller to communicate future planned commands, respecting the additional capabilities of the controller. Since the GA cannot simply trust these planned commands, we implemented a trust system, determining the conservativeness of the GA using the aforementioned planned commands. This mitigates some of the unjustified interventions which come with our approach of predetermined scenarios.

Above mentioned approach yields satisfactory results up until an average lap velocity of $\sim 5m/s$. For higher velocities, the Guardian Angel starts to suffer from inaccuracies in the system modeling, which can presumably be reduced using the new model by \cite{SPChristoph}.
